<?php 

/* --------------------------------- */
/*  Squelettes mobiles iTwX Mobile
/*  (c) 2011 iTwX Design
/*  Licence GPL 3
/*-----------------------------------*/
 
/* Cree les onglets de visite en espace prive */
if (!defined("_ECRIRE_INC_VERSION")) return;

function itwx_ajouter_boutons($flux) {

	$visuprive = lire_config('itwx/visuprive');
	$notab = lire_config('itwx/notab');
	$nosmart = lire_config('itwx/nosmart');
	
	/* Ajout visite tablette */
	if (isset($flux['bando_visiter'])){
		$menu = "bando_visiter";
	}
	// Si lien vers tablette active
	if ($visuprive == 'on'
		AND !$notab == 'on') {
		$menu = "visiter";
		// on voit le bouton dans la barre "visiter"
		$flux[$menu]->sousmenu['tab']= new Bouton(
			_DIR_PLUGIN_ITWX."itwx/images/prive/tab_icon_25.png",
			_T('itwx:visit_tab'),
			generer_url_ecrire("tab&action=redirect&redirect=../spip.php?page=tab_sommaire")
			);
	}
	
	/* Ajout visite smartphone */
	if (isset($flux['bando_visiter'])){
		$menu = "bando_visiter";
	}
	// Si lien vers smarphone active
	if ($visuprive == 'on'
		AND !$nosmart == 'on') {
		$menu = "visiter";
		// on voit le bouton dans la barre "visiter"
		$flux[$menu]->sousmenu['smart']= new Bouton(
			_DIR_PLUGIN_ITWX."itwx/images/prive/smart_icon_25.png",
			_T('itwx:visit_smart'),
			generer_url_ecrire("smart&action=redirect&redirect=../spip.php?page=smart_sommaire")
			);
	}
	
	/* Ajout visite mobile */
	if (isset($flux['bando_visiter'])){
		$menu = "bando_visiter";
	}
	// Si lien vers smarphone active
	if ($visuprive == 'on') {
		$menu = "visiter";
		// on voit le bouton dans la barre "visiter"
		$flux[$menu]->sousmenu['mob']= new Bouton(
			_DIR_PLUGIN_ITWX."itwx/images/prive/mob_icon_25.png",
			_T('itwx:visit_mob'),
			generer_url_ecrire("mob&action=redirect&redirect=../spip.php?page=mob_sommaire")
			);
	}
	
	return $flux;
}

?>